## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: redfish-finder 
Version: 0.4
Release: %autorelease
Summary: Utility for parsing SMBIOS information and configuring canonical BMC access
ExclusiveArch: x86_64 aarch64

%define debug_package %{nil}

License: GPL-2.0-or-later
URL: https://github.com/nhorman/redfish-finder
Source: %url/archive/V%{version}/%{name}-%{version}.tar.gz

# Fix shabang python interpreter: https://github.com/nhorman/redfish-finder/commit/59fc5f964bf6971da552d059520d7798fccbd4fc
Patch0: redfish-finder-python3.patch

# Fix parsing HostConfig for DHCP: https://github.com/nhorman/redfish-finder/commit/581327fd45351dd53c06a26517bb7f92e19d8f31
Patch1: hostconfig-dhcp-parse.patch

# Fix DHCP mode: https://github.com/nhorman/redfish-finder/commit/c624c9dfe03c0e066eea1240b4b9ca8f3ed07eb8
Patch2: fix-dhcp-mode.patch

# Support AutoConfig mode: https://github.com/nhorman/redfish-finder/commit/f6248933605e051992e5a0c29b2c9753e0dc4e76
Patch3: support-autoconf-mode.patch

BuildRequires: systemd-rpm-macros

Requires: python3
Requires: NetworkManager
Requires: dmidecode

%description
Scans Smbios information for type 42 management controller information, and uses
that to configure the appropriate network interface so that the BMC is
canonically accessible via the host name redfish-localhost

%prep
%autosetup

%build
#noop here

%install
install -D -p -m 0755 redfish-finder %{buildroot}/%{_bindir}/redfish-finder
install -D -p -m 0644 redfish-finder.1 %{buildroot}/%{_mandir}/man1/redfish-finder.1
install -D -p -m 0644 ./redfish-finder.service %{buildroot}/%{_unitdir}/redfish-finder.service

%post
%systemd_post redfish-finder.service

%preun
%systemd_preun redfish-finder.service

%postun
%systemd_postun_with_restart redfish-finder.service


%files
%doc README.md
%license COPYING
%{_bindir}/redfish-finder
%{_mandir}/man1/redfish-finder.1.*
%{_unitdir}/redfish-finder.service


%changelog
## START: Generated by rpmautospec
* Wed Jul 31 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-15
- fix build by disabling irrelevant debug package

* Tue Jul 30 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-14
- restrict package arches appropriately

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun May 26 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-12
- add redfish-finder.rpmlintrc to configure `fedpkg lint` to ignore
  spelling errors

* Sun May 26 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-11
- Support AutoConf mode

* Sun May 26 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-10
- Fix DCHP mode

* Sun May 26 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-9
- Fix parsing HostConfig for DHCP

* Sun May 26 2024 Joel Savitz <joelsavitz@gmail.com> - 0.4-8
- update spec to version reviewed for unretirement

* Thu May 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Unretirement Releng Request: https://pagure.io/releng/issue/12122

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-6
- Rebuilt for updated systemd-rpm-macros

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 12 2019 Neil Horman <nhorman@hmswarspite.think-freely.org> - 0.4-2
- Resolves: bz1770861

* Thu Oct 17 2019 Neil Horman <nhorman@hmswarspite.think-freely.org> - 0.4-1
- Resolves: bz1730589

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 06 2019 Neil Horman <nhorman@neilslaptop.think-freely.org> - 0.3-1
- Update to latest upstream

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 19 2018 Neil Horman <nhorman@tuxdriver.com> - 0.2-1
- Updating to latest upstream version V0.2

* Mon Oct 08 2018 Neil Horman <nhorman@tuxdriver.com> - 0.1-2
- Adding source tarball to lookasside

* Mon Oct 08 2018 Neil Horman <nhorman@tuxdriver.com> - 0.1-1
- Initial import
## END: Generated by rpmautospec
